> For the complete documentation index, see [llms.txt](https://docs.snomed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/release-types-packages-and-files/3.1-common-features-of-all-release-files/3.1.3-fields-present-in-all-release-files.md).

# Fields Present in All Release Files

The first four columns in all release files are shown in Table 3.1.3-1. The next three sections of the specification explain the ways in which these fields are used to support identification, versioning and modularization.

***

**Fields present in all release files**

<table data-header-hidden data-full-width="true"><thead><tr><th width="123.8125"></th><th width="101.171875"></th><th width="396.34375"></th><th width="88.48046875"></th><th></th></tr></thead><tbody><tr><td><strong>Field</strong></td><td><strong>Data type</strong></td><td><strong>Purpose</strong></td><td><strong>Mutable</strong></td><td><strong>Part of Primary Key</strong></td></tr><tr><td>id</td><td>SCTID</td><td>Uniquely identifies a component.</td><td><mark style="color:red;">NO</mark></td><td><mark style="color:green;">YES</mark><br>(Full/Snapshot)</td></tr><tr><td>id</td><td>UUID</td><td>Uniquely identifies a reference set member.</td><td><mark style="color:red;">NO</mark></td><td><mark style="color:green;">YES</mark><br>(Full/Snapshot)</td></tr><tr><td>effectiveTime</td><td>Time</td><td>Specifies the inclusive date at which this rows state became the then current valid state of the identified component or reference set member.</td><td><mark style="color:green;">YES</mark></td><td><mark style="color:green;">YES</mark> (Full)<br><mark style="color:green;">Optional</mark> (Snapshot)</td></tr><tr><td>active</td><td>Boolean</td><td>Specifies whether the state of the component or reference set member was active or inactive from the nominal release date specified by the effectiveTime.</td><td><mark style="color:green;">YES</mark></td><td><mark style="color:red;">NO</mark></td></tr><tr><td>moduleId</td><td>SCTID</td><td><p>Identifies the module this component or reference set member is currently maintained in. Set to a child of 900000000000443000</p><p><mark style="color:blue;">|</mark>Module<mark style="color:blue;">|</mark> within the metadata hierarchy.</p></td><td><mark style="color:green;">YES</mark></td><td><mark style="color:red;">NO</mark></td></tr></tbody></table>

<a href="https://docs.google.com/forms/d/e/1FAIpQLScTmbZIf0UEQwYDkY27EEWBkaiYkHSbR0_9DmFrMLXoQLyL7Q/viewform?usp=pp_url&#x26;entry.1767247133=Release+File+Specification&#x26;entry.670899847=Fields%20Present%20in%20All%20Release%20Files" class="button primary">Provide Feedback</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/release-types-packages-and-files/3.1-common-features-of-all-release-files/3.1.3-fields-present-in-all-release-files.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
